com.hazelcast.client.config

## Class XmlClientFailoverConfigLocator

- java.lang.Object
- - com.hazelcast.config.AbstractConfigLocator
  - - com.hazelcast.client.config.XmlClientFailoverConfigLocator

-     public class XmlClientFailoverConfigLocator
      extends AbstractConfigLocator

  A support class for the `XmlClientFailoverConfigBuilder` to locate the client failover XML configuration.

- - ### Property Summary

    All Methods Instance Methods Concrete Methods
    Type | Property and Description
    --- | ---
    `boolean` | `locateFromSystem` Locates the configuration file in a system property.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlClientFailoverConfigLocator()`
    `XmlClientFailoverConfigLocator(boolean failIfSysPropWithNotExpectedSuffix)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `locateDefault()` Locates the default configuration file.
    `boolean` | `locateFromSystemProperty()` Locates the configuration file in a system property.
    `protected boolean` | `locateInWorkDir()` Locates the configuration file in the working directory.
    `protected boolean` | `locateOnClasspath()` Locates the configuration file on the classpath.

    - ### Methods inherited from class com.hazelcast.config.AbstractConfigLocator

      `getConfigurationFile, getConfigurationUrl, getIn, isConfigPresent, loadConfigurationFromClasspath, loadDefaultConfigurationFromClasspath, loadFromSystemProperty, loadFromWorkingDirectory, locateEverywhere, locateInWorkDirOrOnClasspath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### locateFromSystem

          public boolean locateFromSystemProperty

      Specified by:
        `locateFromSystemProperty` in class `AbstractConfigLocator`
      Returns:
        true if the configuration file is found in the system property

  - ### Constructor Detail

    - #### XmlClientFailoverConfigLocator

          public XmlClientFailoverConfigLocator()

    - #### XmlClientFailoverConfigLocator

          public XmlClientFailoverConfigLocator(boolean failIfSysPropWithNotExpectedSuffix)

  - ### Method Detail

    - #### locateFromSystemProperty

          public boolean locateFromSystemProperty()

      Description copied from class: `AbstractConfigLocator`
      Locates the configuration file in a system property.
      Specified by:
        `locateFromSystemProperty` in class `AbstractConfigLocator`
      Returns:
        true if the configuration file is found in the system property

    - #### locateInWorkDir

          protected boolean locateInWorkDir()

      Description copied from class: `AbstractConfigLocator`
      Locates the configuration file in the working directory.
      Specified by:
        `locateInWorkDir` in class `AbstractConfigLocator`
      Returns:
        true if the configuration file is found in the working directory

    - #### locateOnClasspath

          protected boolean locateOnClasspath()

      Description copied from class: `AbstractConfigLocator`
      Locates the configuration file on the classpath.
      Specified by:
        `locateOnClasspath` in class `AbstractConfigLocator`
      Returns:
        true if the configuration file is found on the classpath

    - #### locateDefault

          public boolean locateDefault()

      Description copied from class: `AbstractConfigLocator`
      Locates the default configuration file.
      Specified by:
        `locateDefault` in class `AbstractConfigLocator`
      Returns:
        true always, indicating the default configuration file is found

Copyright © 2019. All rights reserved.